function RefreshRequiredFields() {
    // Insure all required fields are marked with aria-required=true.
    $(':input[required]').attr('aria-required', 'true');
    $(':input:not([required])').attr('aria-required', 'false');

    // for select input
    $('.table-info.required').parent().find('select').attr('aria-required', true);
    $('.table-info:not(.required)').parent().find('select').attr('aria-required', false);

    // for file input
    $('.table-info.required').parent().find('.btn-for-file-input').attr('aria-required', true);
    $('.table-info:not(.required)').parent().find('.btn-for-file-input').attr('aria-required', false);
}


$(document).ready(function() {
    // Input Accessibility
    $('.control').each(function() {
        $(this).find('input').each(function() {
            $(this).attr('aria-labelledby', $(this).attr('id') + '_label');
        });
    });

    // Modal Accessibility
    $('.grid-actions').find("a").attr('aria-haspopup', 'dialog');
    $('.modal-dialog').attr('role', 'dialog');
    $('.modal-dialog').attr('aria-modal', 'true');
    $('.modal-title').attr('tabindex', '0');
    $('.modal-title').attr('autofocus', '');
    $('.modal-dialog').each(function(index, val) {
        $(this).find('.modal-title').attr('id', 'modalTitle_' + index);
        $(this).attr('aria-labelledby', 'modalTitle_' + index);
    });

    // default h3 title should be h2 to respect accessibility rules
    $('.section-title').children('h3').replaceWith(function() {
        return $("<h2>", {
          class: this.className,
          html: $(this).html()
        });
    });

    $('.form-subgrid-heading > label').removeClass('field-label');

    $('.visually-hidden[role="alert"]').removeAttr('aria-label');
    $('.visually-hidden[role="alert"]').removeAttr('role');
    $('.view-empty').removeAttr('role');
    $('.view-empty').removeAttr('aria-label');

    // Date Field Accessibility
    $('.datetimepicker').find('.input-group-addon').attr('aria-hidden', 'true');
    $('.datetimepicker > input').removeAttr('aria-describedby');

    $('input.datetime').attr('aria-hidden', 'true');
    $('input.datetime').removeClass('form-control');

    // MultiSelect Accessibility
    $('select[multiple="multiple"]').attr('aria-hidden', 'true');

    // Fieldset Accessibility
    $('fieldset').attr('legend', function(i, val){
        return $(this).attr('aria-label');
    });
    $('fieldset').removeAttr('aria-hidden');
    $('fieldset').removeAttr('aria-label');
    $('fieldset').removeAttr('aria-labelledby');

    $('.description').each(function(i) {
        var _id = $(this).parent().find('input').attr('id');
        $(this).attr('id', _id + '_desc');
        $(this).parent().find('input').attr('aria-describedby', _id + '_desc');
    });

    $('input').removeAttr('aria-roledescription');

    RefreshRequiredFields();

    // remove aria-label on WebFormPanel

    setTimeout(() => {
        $('#WebFormPanel').removeAttr('aria-label');
    }, 500);
   

    

});